PharFileInfo::isCRCChecked
PharFileInfo::isCompressedBZIP2
PharFileInfo
PHP Manual

# PharFileInfo::isCompressed

Returns whether the entry is compressed

### Description

public bool PharFileInfo::isCompressed ([ int `$compression_type` = 9021976 ] )

This returns whether a file is compressed within a Phar archive with either Gzip or Bzip2 compression.

### Parameters

`compression_type`

  One of `Phar::GZ` or `Phar::BZ2`, defaults to any compression.

### Return Values

`TRUE` if the file is compressed within the Phar archive, `FALSE` if not.

### Examples

Example #1 A PharFileInfo::isCompressed example

`<?php
try {
$p = new Phar('/path/to/my.phar', 0, 'my.phar');
$p['myfile.txt'] = 'hi';
$p['myfile2.txt'] = 'hi';
$p['myfile2.txt']->setCompressedGZ();
$file = $p['myfile.txt'];
$file2 = $p['myfile2.txt'];
var_dump($file->isCompressed());
var_dump($file2->isCompressed());
} catch (Exception $e) {
echo 'Create/modify on phar my.phar failed: ', $e;
}
?>`

The above example will output:

    bool(false)
    bool(true)

### See Also

- PharFileInfo::getCompressedSize
- PharFileInfo::decompress
- PharFileInfo::compress
- Phar::decompress
- Phar::compress
- Phar::canCompress
- Phar::isCompressed
- Phar::getSupportedCompression
- Phar::decompressFiles
- Phar::compressFiles